Bug 765451 - (GLUSTER-3719) [glusterfs-3.2.4] Present 'volume top write-perf' and 'read-perf' output in more cleaner way
[glusterfs-3.2.4] Present 'volume top write-perf' and 'read-perf' output in ...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
pre-release
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-14 04:23 EDT by M S Vishwanath Bhat
Modified: 2016-05-31 21:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.2.5qa6
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2011-10-14 04:23:50 EDT
Volume top read-perf and write-perf output is not-aligned properly. Currently output looks something below.

volume top successful 
Brick: 10.1.11.113:/tmp/brick
MBps            filename                 time
========================
1524            /clients/client11/~dmtmp/SEED/SMALL.FIL         2011-10-14 03:20:08.227878
1424            /clients/client5/~dmtmp/SEED/SMALL.FIL          2011-10-14 03:24:44.588515
1394            /clients/client18/~dmtmp/SEED/SMALL.FIL         2011-10-14 03:22:12.884800
1365            /clients/client28/~dmtmp/SEED/SMALL.FIL         2011-10-14 03:24:02.218544
1365            /clients/client26/~dmtmp/SEED/SMALL.FIL         2011-10-14 03:22:09.79630
1365            /clients/client22/~dmtmp/SEED/SMALL.FIL         2011-10-14 03:21:19.400023
1365            /clients/client1/~dmtmp/SEED/SMALL.FIL          2011-10-14 03:14:52.625840
1310            /clients/client19/~dmtmp/SEED/SMALL.FIL         2011-10-14 03:13:55.440031
1285            /clients/client12/~dmtmp/SEED/SMALL.FIL         2011-10-14 03:23:50.712660
1191            /clients/client11/~dmtmp/PARADOX/STUDENTS.PX            2011-10-14 03:13:32.32351
1180            /clients/client8/filler.001             2011-10-14 03:13:29.543328
1170            /clients/client3/~dmtmp/COREL/CDRBARS.CFG               2011-10-14 03:13:30.429758
1149            /clients/client17/~dmtmp/PARADOX/STUDENTS.VAL           2011-10-14 03:13:32.120014
1149            /clients/client24/~dmtmp/COREL/TRAIN.CDR                2011-10-14 03:13:31.906727
1149            /clients/client8/~dmtmp/COREL/TEAPOT2.CPT               2011-10-14 03:13:31.290556
1129            /clients/client7/~dmtmp/PARADOX/ENROLL.X03              2011-10-14 03:13:33.900805
1129            /clients/client23/filler.000            2011-10-14 03:13:29.532349
1129            /clients/client26/filler.000            2011-10-14 03:13:29.409896
1110            /clients/client13/~dmtmp/WORDPRO/BENCHS1A.PRN           2011-10-14 03:21:25.67096
1110            /clients/client8/~dmtmp/PARADOX/COURSES.DB              2011-10-14 03:13:32.219028
1110            /clients/client16/filler.004            2011-10-14 03:13:30.221778
1092            /clients/client22/~dmtmp/WORDPRO/BENCHS1A.PRN           2011-10-14 03:22:16.532229
1092            /clients/client15/filler.004            2011-10-14 03:13:30.495249
1083            /clients/client11/filler.001            2011-10-14 03:13:28.760535
1074            /clients/client13/~dmtmp/PARADOX/ENROLL.X03             2011-10-14 03:13:33.906515
1074            /clients/client15/~dmtmp/COREL/CORELDRW.CDT             2011-10-14 03:13:32.225515
1074            /clients/client16/~dmtmp/WORDPRO/BENCHS.LWP             2011-10-14 03:13:32.70627
1074            /clients/client12/~dmtmp/COREL/ROSE.CPT         2011-10-14 03:13:32.32208
1074            /clients/client27/~dmtmp/PARADOX/COURSES.X04            2011-10-14 03:13:31.906228
1074            /clients/client22/filler.000            2011-10-14 03:13:29.517894
1057            /clients/client29/~dmtmp/PARADOX/ENROLL.X03             2011-10-14 03:13:33.973271


Both the output listing and heading needs to be re-arranged and properly aligned. Also wouldn't it be better to use 'timestamp' instead of 'time' in the heading?
Comment 1 Anand Avati 2011-11-03 02:04:35 EDT
CHANGE: http://review.gluster.com/645 (Improves alignment and width of columns in the output of "top) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Anand Avati 2011-11-04 02:09:51 EDT
CHANGE: http://review.gluster.com/649 (Improves alignment and width of columns in the output of "top) merged in release-3.2 by Vijay Bellur (vijay@gluster.com)
Comment 3 M S Vishwanath Bhat 2011-11-07 10:06:26 EST
Output is presented in properly aligned way now.

Note You need to log in before you can comment on or make changes to this bug.